Bug 420411 - *** buffer overflow detected ***: xfig-plain terminated
Summary: *** buffer overflow detected ***: xfig-plain terminated
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfig   
(Show other bugs)
Version: 8
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-11 19:54 UTC by Bryce
Modified: 2007-12-13 22:16 UTC (History)
1 user (show)

Fixed In Version: 3.2.5-6.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 22:16:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dump of the aborted process output (4.74 KB, text/plain)
2007-12-11 19:54 UTC, Bryce
no flags Details

Description Bryce 2007-12-11 19:54:38 UTC
buffer overflow and termination of program. (was doing something with the zoom
aspect at the time when it crashed out)

This probably should be passed by the libc folk for a gander

Phil
=--=

Comment 1 Bryce 2007-12-11 19:54:38 UTC
Created attachment 284591 [details]
dump of the aborted process output

Comment 2 Hans de Goede 2007-12-11 20:54:49 UTC
Looks like a xfig problem and not a libc problem to me. I'll ask on devel howto
ger some usefull info out of the attached dump.

Any chance you can find a way to reproduce this?


Comment 3 Bryce 2007-12-12 00:01:25 UTC
Ah, there we go
open xfig
text tool,.. (click anywhere) add text  'DOOM' (or whatever 8) )
<alt-z> left-click (zoom WAY up on the text) (it may even bail here)
drop down to the Zoom factor box (bottom left)
right-click <BOOM>


Phil
=--=


Comment 4 Hans de Goede 2007-12-12 21:13:16 UTC
xfig-3.2.5-6.fc8, which fixes this, should become available in updates
with the next updates push.


Comment 5 Fedora Update System 2007-12-13 22:16:30 UTC
xfig-3.2.5-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.